package com.adealink.weparty.commonui.widget.tablayout

import androidx.lifecycle.LiveData
import androidx.viewpager2.widget.ViewPager2
import com.google.android.material.tabs.TabLayout
import com.google.android.material.tabs.TabLayoutMediator

interface ITabLayoutMediatorViewModel {

    val viewPagerLD: LiveData<ViewPager2>

    fun setTabLayout(tabLayout: TabLayout, tabConfigurationStrategy: TabLayoutMediator.TabConfigurationStrategy)
    fun setViewPager(viewPager: ViewPager2)

    fun setTabNameList(list: List<String>)

    fun getTabNameBy(position: Int): String?
}